## oss4 4.2-build2017

=== debian/changelog ===
oss4 (4.2-build2017-1) unstable; urgency=low

  [ Sébastien Noel ]
  * New upstream release.

  [ Samuel Thibault ]
  * New upstream release. (Closes: #827674)
  * control: Bump Standards-Version to 3.9.8 (no change).
  * 30oss4-pm, oss4-dkms.postinst: invoke-rc.d is now essential.
  * Use https URL
  * 503_glibc_2.28.patch: Fix build against glibc 2.28 (Closes: #916005)
  * 501_linux_version.patch: Drop, fixed upstream.
  * debian/include-alsa/alsa/mixer.h: Fix
    snd_mixer_selem_set_playback_volume_range prototype (Closes: #620627).
  * debian/include-alsa/alsa/version.h: Bump alsa version accordingly.
  * Set myself as maintainer until an oss4 team is reassembled.
  * rules: Drop spurious .o upstream files.

  [ Reiner Herrmann ]
  * Reproducible build fixes (Closes: #834993)
  * Use system txt2man in upstream build script (build.sh), which supports
    SOURCE_DATE_EPOCH.
  * Use SOURCE_DATE_EPOCH for the generated build-id.
  * Sort files in modules tarball, fix permissions and timestamps.
  * Fix ordering issues in some other places.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Jan 2019 23:51:07 +0100
