=== debian/control ===
Source: oss4
Section: sound
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Uploaders: Sébastien Noel <sebastien@twolife.org>,
           Romain Beauxis <toots@rastageeks.org>,
           Benda Xu <heroxbd@gentoo.org>
Build-Depends: dh-exec,
               debhelper (>= 10~),
               dpkg-dev (>= 1.22.5),
               libtool-bin,
Vcs-Browser: https://salsa.debian.org/debian/oss4
Vcs-Git: https://salsa.debian.org/debian/oss4.git
Standards-Version: 4.6.2

Package: liboss4-salsa2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OSS to Alsa compatibility library
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.

Package: liboss4-salsa-dev
Provides: libasound2-dev
Conflicts: libasound2-dev
Section: libdevel
Architecture: hurd-any kfreebsd-any
Depends: liboss4-salsa2 (= ${binary:Version}), ${misc:Depends}, liboss4-salsa-asound2 (= ${binary:Version})
Description: OSS to Alsa compatibility library -- development files
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains the development part of liboss4-salsa, which permit
 to build application using alsa on architectures which do not have libasound.

Package: liboss4-salsa-asound2
Section: libs
Architecture: any
Provides: libasound2t64, libasound2 [amd64 arm64 mips64el ppc64el riscv64 s390x]
Conflicts: libasound2t64, libasound2
Multi-Arch: same
Depends: liboss4-salsa2, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OSS to Alsa compatibility library - binary compatibility symlink
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains a symbolic link that makes applications already compiled
 with ALSA use liboss4-salsa.
