=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure: build/build.id
	:

build/build.id:
	mkdir -p build
	cd build && $(CURDIR)/configure --enable-libsalsa=NO --config-vmix=FIXEDPOINT

override_dh_auto_build:
	cd build/lib/libOSSlib && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make libOSSlib.so
	cd build/lib/libsalsa && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make
	sed -e '/^libdir/s&$$&/$(DEB_HOST_MULTIARCH)&' < debian/alsa.pc.in > debian/alsa.pc

override_dh_auto_install:
	:

override_dh_auto_clean:
	rm -rf debian/alsa.pc build
